#ifndef _SINGLECEPT_H
#define _SINGLECEPT_H

#include <mentalEntity.h>
#include <implix/implix.h>

class Singlecept
: public MentalEntity
{
public:
    Singlecept() = default;
    ~Singlecept() = default;

    Singlecept(const implix::Implix&) {
        // Conversion logic from Implix to Singlecept
    }
};

#endif
